HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get a list of monitored APs over a time period.

This API endpoint retrieves wireless access points detected and monitored by the WIDS (Wireless Intrusion Detection System).

Supports filtering by site, classification type, detection method, time ranges, containment status, and encryption protocols.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported).

Supported Fields and Operators:

FieldOperators
siteIdeq, in
classificationeq, in
classificationMethodeq, in
firstSeenle, ge
lastSeenle, ge
containmentStatuseq, in
encryptioneq, in

Operator Definitions:

  • eq: Only values exactly matching the given value are returned
  • in: Only values present in the given list are returned
  • le: Less than or equal to (for time fields)
  • ge: Greater than or equal to (for time fields)

Applicable Values by Field:

FieldApplicable Terms
siteIdstring
classification['UNKNOWN', 'INTERFERING', 'SUSPECT_ROGUE', 'ROGUE', 'VALID', 'DOS', 'KNOWN_INTERFERING']
classificationMethod['DEVICE', 'RULE', 'MANUAL', 'UNSPECIFIED']
firstSeenepoch time in seconds
lastSeenepoch time in seconds
containmentStatus['CONTAINED', 'UN_CONTAINED', 'KNOWN_INTERFERING']
encryption['UNSPECIFIED', 'OPEN', 'WEP', 'WPA', 'WPA2', 'WPA3']
int64
0 to 9223372036854776000

Retrieve data starting at the specified timestamp. Given in milliseconds from epoch. (Default: 3 hours ago)

int64
0 to 9223372036854776000

Retrieve data ending at the specified timestamp. Given in milliseconds from epoch. (Default: current time)

int32
0 to 1000
Defaults to 100

Denotes the maximum number of items returned in the response. (Default: 100)

int32
0 to 2147483647
Defaults to 0

Specifies the zero-based resource offset to start the page from. (Default: 0)

string
length ≤ 256

Comma separated list of sort expressions. Each sort expression is a property name optionally followed by a direction indicator asc (ascending) or desc (descending).

The first sort expression in the list defines the primary sort order, the second defines the secondary sort order, and so on. If a direction indicator is omitted the default direction is ascending.

Supported fields are bssid, name, classification, classificationMethod, ssid, lastSeen, firstSeen, signal, encryption, containmentStatus, macVendor, and siteName

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json